dump ()
{
    echo > /dev/null
}

show ()
{
    res=
    for i in "$@"
    do
    	i=`echo $i | sed -e "s/\(.*[[:space:]].*\)/'\1'/"`
	res="$res $i"
    done
    echo "/sbin/iptables $res"
}

I="dump"
fwh_state=/tmp/fwrules-helper.state
tmpl_dir=../fwrules.tmpl
ext_dir=.

IP_NET_N=1
IP_NET_1_DEV=eth0
IP_NET_1=1.2.3.4/24
IP_ROUTE_1="9.9.9.9/9 eth0"
IP_ROUTE_2="0.0.0.0/0 eth0"

. ../boot.d/base-helper

SCRIPT=$script_name

log_error () {
    case $# in
	0)
	    while read line
	    do
		echo "$SCRIPT: $line"  1>&2
	    done
	    ;;
	*)
	    echo "$SCRIPT: $*"  1>&2
	    ;;
    esac
}

. fwrules-helper

setup_logging yes INPUT fw-input
setup_logging yes FORWARD fw-forward DROP

I=show
if [ "$1" = "-d" ]
then
    shift
    set -x
fi
